V2.0
delete
/ec-dc-svc/rest/v2.0/studies/{studyId}/{mode}/subjects/state/{subjectId}
Deletes or reverts the state of a subject. V2 provides more information of subject including object version number, event Type.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
CDBBCCDDEEFF11223344556677889900 -
subjectId(required): string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest payload to revert/delete a subject, providing justification and details for auditing
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048Additional comments or context for the operation (max 2048 chars)Example:Subject was mistakenly created twice and needs removal -
reason: string
Minimum Length:
0Maximum Length:255The reason for reverting or deleting the subject (max 255 chars)Example:Duplicate entry detected
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Subjects successfully reverted/deleted.
Root Schema : schema
Type:
Show Source
array-
Array of:
object SubjectDto4
Subject details extended with mHealth subject identifier
Nested Schema : SubjectDto4
Type:
objectSubject details extended with mHealth subject identifier
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048Comment for latest subject updateExample:Initial enrollment -
description: string
Minimum Length:
0Maximum Length:500Free text description for the subjectExample:Screened subject -
dob: string
(date-time)
Date of birth
-
enrollmentFailure: string
Minimum Length:
0Maximum Length:255Reason for enrollment failure, if anyExample:Consent withdrawn -
enrollmentOverride: string
Minimum Length:
0Maximum Length:255If subject enrollment is overridden.Example:Subject Enrollment Overridden -
eventType: string
Event Type for Subject, can have value New, Screened, Randomized, Withdrawn, Undo_Withdrawn, Randomization_Replaced, Transferred, Screen_Failed, Undo_Randomization.Example:
Screened -
gender: string
Minimum Length:
0Maximum Length:10Gender valueExample:[{"value":"1","label":"male"}] -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the subjectExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
informedConsentDate: string
(date-time)
Informed consent dateExample:
2025-09-25T09:00:00Z -
mhealthSubjectId: string
Unique Identifier (UUID, 32-character uppercase hexadecimal string) of the subject in mHealth system.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
objectVersionNumber: number
Audit trail field that represents the version number of the data.Example:
14 -
reason: string
Minimum Length:
0Maximum Length:255Reason for latest subject updateExample:Protocol break happened -
screeningDate: string
(date-time)
Screening date if applicableExample:
2025-10-01T10:00:00Z -
screeningFailure: string
Minimum Length:
0Maximum Length:255Reason for screening failure, if anyExample:Inclusion criteria not met -
siteId: string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
state(required): string
Minimum Length:
0Maximum Length:100Lifecycle state of the subject in the study. Reflects the subject???s current status. Common values include:- New
- Active
- Screening_Initiated
- Screen_Failed
- Withdrawn
- Auto_Screen_Failed
- Complete
- Enrolled
Example:Active -
stateDate: string
(date-time)
Timestamp when the subject transitioned to current stateExample:
2025-10-16T14:30:31.892Z -
studyId: string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyVersion(required): string
String representing the version of the study. Helps track changes in form or study design.Example:
3.0.0.1 -
subjectNumber(required): string
Minimum Length:
0Maximum Length:500Unique subject Number representing the patient/participant enrolled in the study.Example:SUBJ-0001 -
subjectTransferId: string
Unique Identifier(UUID, 32-character uppercase hexadecimal string) of a subject transfer if applicableExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2025-10-16T14:30:31.892Z
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object